%define version 1.2.2
%define release 2mdk
%define name gtkglarea

%define prefix %_prefix
#%define prefix /usr

Summary: GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
Summary(wa): GtkGLArea est on ahesse pol toolkit grafike GTK+
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
URL: http://www.student.oulu.fi/~jlof/gtkglarea/

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

Related project which may iterest those who use GTK-- is GtkGLArea--. It is a
C++ wrapper for gtkglarea written by Karl Nelson <kenelson@ece.ucdavis.edu>.


%package devel
Summary: GtkGLArea is an OpenGL widget for GTK+ -- includes and static libs
Summary(wa): GtkGLArea est on ahesse po GTK+ - fitchs *.h t statiks lvreyes
Group: Development/GNOME and GTK+
Requires: gtkglarea

%description devel
Libraries and includes files you can use for GtkGLArea development

%description devel -l wa
Ci paket chal a dvins les fitchs *.h eyt les statiks lvreyes k' i
gn a mezjhe po f des porogrames avou les foncsions di GtkGLArea

%prep

%setup
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

ln -sf %{prefix}/lib/libgtkgl.so.5.0.0 $RPM_BUILD_ROOT%{prefix}/lib/libgtkgl.so.4

%post
if [ "%{prefix}" != "/usr" ] ; then
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
fi

/sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README docs/*.txt
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
#%{prefix}/lib/lib*.so
#%{prefix}/lib/*.a
%{prefix}/lib/*
%{prefix}/include/*
%{prefix}/share/aclocal/*

%changelog
* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- add ldconfig in devel post

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- clean specfile
- v1.2.2

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
   of libMesa*.so stuff)
    
* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.2.1
	 
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
 - First try at an RPM  
